Package org.wso2.carbon.mediation.initializer

## Class CarbonSynapseController

- java.lang.Object
- - org.apache.synapse.Axis2SynapseController
  - - org.wso2.carbon.mediation.initializer.CarbonSynapseController

- All Implemented Interfaces:
    `org.apache.synapse.SynapseController`

      public class CarbonSynapseController
      extends org.apache.synapse.Axis2SynapseController

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.Axis2SynapseController

      `serverConfigurationInformation, serverContextInformation, synapseConfiguration, synapseEnvironment`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CarbonSynapseController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.synapse.config.SynapseConfiguration` | `createSynapseConfiguration()` |
    `void` | `destroySynapseEnvironment()` |
    `void` | `init​(org.apache.synapse.ServerConfigurationInformation serverConfigurationInformation, org.apache.synapse.ServerContextInformation serverContextInformation)` |
    `void` | `start()` | Adds the synapse handlers to the inflow Dispatch phase if not already exists and starts the listener manager if the axis2 instance is created by the Synapse

    - ### Methods inherited from class org.apache.synapse.Axis2SynapseController

      `createSynapseEnvironment, destroy, destroySynapseConfiguration, destroySynapseConfiguration, endMaintenance, getContext, isInitialized, startMaintenance, stop, waitUntilSafeToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CarbonSynapseController

          public CarbonSynapseController()

  - ### Method Detail

    - #### init

          public void init​(org.apache.synapse.ServerConfigurationInformation serverConfigurationInformation,
                           org.apache.synapse.ServerContextInformation serverContextInformation)

      Specified by:
        `init` in interface `org.apache.synapse.SynapseController`
      Overrides:
        `init` in class `org.apache.synapse.Axis2SynapseController`

    - #### start

          public void start()

      Adds the synapse handlers to the inflow Dispatch phase if not already exists and starts the listener manager if the axis2 instance is created by the Synapse
      Specified by:
        `start` in interface `org.apache.synapse.SynapseController`
      Overrides:
        `start` in class `org.apache.synapse.Axis2SynapseController`

    - #### createSynapseConfiguration

          public org.apache.synapse.config.SynapseConfiguration createSynapseConfiguration()

      Specified by:
        `createSynapseConfiguration` in interface `org.apache.synapse.SynapseController`
      Overrides:
        `createSynapseConfiguration` in class `org.apache.synapse.Axis2SynapseController`

    - #### destroySynapseEnvironment

          public void destroySynapseEnvironment()

      Specified by:
        `destroySynapseEnvironment` in interface `org.apache.synapse.SynapseController`
      Overrides:
        `destroySynapseEnvironment` in class `org.apache.synapse.Axis2SynapseController`